/*-------------------------------------------------------------------
    Глобальные изменения
-------------------------------------------------------------------*/

html, body {
    font-weight: 300;
}

/* Таблицы */

th {
    font-weight: normal;
}

/*-------------------------------------------------------------------
    Типографика
-------------------------------------------------------------------*/

@media (max-width: 767px) {

    .__text_normal {
        font-size: 14px;
    }

}

/*-------------------------------------------------------------------
    Информационные страницы (состоят не из секций)
-------------------------------------------------------------------*/

h1, h2, h3, h4 {
    font-weight: normal;
    line-height: 1.2;
}

h1 {
    font-size: 200%;
    margin-top: 2em;
    margin-bottom: 1em;
}

h2 {
    font-size: 160%;
    margin-top: 1.6em;
    margin-bottom: 1em;
}

h3, h4 {
    margin-top: 1.4em;
    margin-bottom: 1em;
}

h3 {
    font-size: 120%;
}

.article {
    font-size: 14px;
    padding: 3em 0;
}

.article > .container > :first-child {
    margin-top: 0;
}

.article > .container > :last-child {
    margin-bottom: 0;
}

.inline-left-block {
    display: inline-block;
    text-align: left;
}

/*-------------------------------------------------------------------
    Секции страниц
-------------------------------------------------------------------*/

.section {
    text-align: center;
    padding: 3em 0;
    margin: 0;
    border-bottom: 1px solid #e1e2e4;
    font-size: 20px;
}

.section > .container > :first-child {
    margin-top: 0;
}

.section > .container > :last-child {
    margin-bottom: 0;
}

.section.__striped {
    background-color: #f8f8f8;
}

.section.__no_padding_bottom {
    padding-bottom: 0;
}

.section.__cover {
    text-align: left;
    background-color: #fde050;
    color: #363E44;
}

/*.section.__*/

.section.__no_border {
    border-bottom: none;
}

.section.__text_left {
    text-align: left;
}

.section.__feature_cover {
    background-color: #fde050;
    color: #363E44;
}

.section.__feature {
    font-size: 16px;
    text-align: left;
    padding: 2em 0;
}

/* спциальные предложения */
.section.__courses {
    font-size: 16px;
    text-align: left;
    padding: 1em 0;
}

.section.__ident_form {
    font-weight: normal;
}

.__single {
    margin-top: 3em;
    margin-bottom: 5em;
    border: none;
    text-align: left;
}

@media (max-width: 1023px) {

    .section {
        font-size: 18px;
    }
}

@media (max-width: 991px) {

    .section {
        font-size: 16px;
    }

    .section.__cover,
    .section.__feature_cover {
        text-align: center;
    }

    .__single {
        margin-top: 1em;
        margin-bottom: 1em;
        padding: 0;
    }
}

@media (max-width: 767px) {

    .section,
    .section.__courses,
    .section.__feature {
        font-size: 14px;
        font-weight: normal;
    }

    .section.__courses,
    .section.__feature {
        text-align: center;
    }

    .section.__cover,
    .section.__feature_cover {
        padding: 1.4em 0;
    }
}

/*-------------------------------------------------------------------
    Заголовки секций
-------------------------------------------------------------------*/

.section_header {
    font-size: 200%;
    font-weight: lighter;
    margin: 0.8em 0;
    line-height: 1.1;
    color: #444;
}

.section_header.__small {
    font-size: 160%;
}

.section_header.__no_top_margin {
    margin-top: 0;
}

.section.__cover .section_header {
    font-size: 240%;
    line-height: 1.2;
}

.section.__feature .section_header {
    font-size: 160%;
}

.section.__demo .section_header {
    min-height: 3em;
}


/*-------------------------------------------------------------------
    Подзаголовки секций
-------------------------------------------------------------------*/

.section_subheader {
    font-size: 125%;
    margin: 0.8em 0;
    line-height: 1.4;
}

/*-------------------------------------------------------------------
    Описание секции
-------------------------------------------------------------------*/

.section_brief {
    margin-bottom: 0.8em 0;
}

/*-------------------------------------------------------------------
    Изображения
-------------------------------------------------------------------*/

img {
    width: 100%;
    height: auto;
    max-width: 800px;
}

.section_image {
    margin: 1.2em 0;
    text-align: center;
}

.section_image.__border img {
    display: inline-block;
    padding: 2px;
    border: 1px solid #bbb;
}

.section.__feature .section_image img {
    max-height: 320px;
    width: auto;
    max-width: 100%;
    height: auto;
}

@media (max-width: 991px) {

    .section img {
        max-width: 480px;
    }
}

/*-------------------------------------------------------------------
    Кнопки в секции
-------------------------------------------------------------------*/

.section_buttons {
    margin: 1.4em 0;
}

/*-------------------------------------------------------------------
    Списки в секции
-------------------------------------------------------------------*/

.section_list {
    display: inline-block;
    text-align: left;
}

/*-------------------------------------------------------------------
    Кнопки и ссылки
-------------------------------------------------------------------*/

a {
    color: #3B9226;
    text-decoration: none;
}

a:hover,
a:focus,
a:active {
    color: #3B9226;
    text-decoration: underline;
}

a.button {
    transition: 0.1s;
    -webkit-transition: 0.1s;
    -moz-transition: 0.1s;
    -o-transition: 0.1s;
}

a.button:hover,
a.button:focus {
    text-decoration: none;
}

.button,
a.button,
button.button {
    line-height: 1;
    font-size: 100%;
    display: inline-block;
    color: #3B9226;
    background-color: transparent;
    border: 2px solid #3B9226;
    border-radius: 4px;
    padding: 0.8em 2em;
    text-decoration: none;
    transition: 0.2s;
    -webkit-transition: 0.2s;
    -moz-transition: 0.2s;
    -o-transition: 0.2s;
}

.button:hover,
.button:active,
.button:focus {
    background-color: #3B9226;
    color: #fff;
    text-decoration: none;
}

/* --- Модификаторы размера --- */

.button.__small {
    margin-top: 0;
    padding: 0.6em 1.4em;
    font-size: 90%;
    font-weight: normal;
}

.button.__large {
    font-size: 110%;
}

.button.__huge {
    font-weight: lighter;
    font-size: 125%;
    padding: 0.8em 2.5em;
    border-radius: 6px;
}

/* --- Модификаторы отступов --- */

.button.__no_margin {
    margin: 0;
}

/* --- Модификаторы цветов --- */

/* Контрастный по отношению к используемой цветовой схеме */

.section.__cover .button,
.button.__contrast {
    border-color: #694fba;
    color: #694fba;
}

.section.__cover .button:hover,
.section.__cover .button:active,
.section.__cover .button:focus,
.button.__contrast:hover,
.button.__contrast:active,
.button.__contrast:focus {
    background-color: #694fba;
    color: #fff;
}

/* Закрашенный, цвета схожие с контрастным, но более светлые */

.button.__solid {
    background-color: #9a7df3;
    border-color: #9a7df3;
    color: #fff;
}

.button.__solid:hover,
.button.__solid:active,
.button.__solid:focus {
    background-color: #886fd7;
    border-color: #886fd7;
    color: #fff;
}

@media (max-width: 767px) {

    .button.__huge {
        font-weight: inherit;
    }

}

/*-------------------------------------------------------------------
    Панель с информацией (в основном о ценах)
-------------------------------------------------------------------*/

.infobox {
    margin-bottom: 1em;
}

.infobox_title {
    line-height: 1.2;
    padding: 1em;
}

.infobox_message {
    line-height: 1.2;
    padding: 1em;
    float: left;
    width: 50%;
}

/*-------------------------------------------------------------------
    Список (функций)
    Обычно применяется в секциях
-------------------------------------------------------------------*/

.feature_list {
    font-size: 90%;
    width: 80%;
    display: inline-block;
    text-align: left;
}

.feature_list > li {
    line-height: 1.4;
}

@media (max-width: 768px) {

    .feature_list {
        font-size: 100%;
    }

}

/*-------------------------------------------------------------------
    Информационные панельки
-------------------------------------------------------------------*/

.pane {
    border: 1px solid #DDD;
    padding: 1.2em;
    font-size: 80%;
    box-shadow: 0px 2px 5px #EEE;
}

.pane_header {
    margin-top: 0.2em;
    margin-bottom: 2em;
    font-weight: bolder;
    font-size: 120%;
}

.pane_brief {
    margin: 1em 0;
}

.pane_buttons {
    display: block;
    text-align: center;
    margin-top: 2em;
    margin-bottom: 1em;
}

@media (max-width: 991px) {

    .pane {
        font-size: 14px;
        margin-bottom: 2em;
    }

    .pane_buttons {
        text-align: left;
    }

}

/*-------------------------------------------------------------------
    Таблицы
-------------------------------------------------------------------*/

.wide-table {
    width: 100%;
    table-layout: fixed;
    margin: 1em 0;
    border: 3px solid #EEE;
    font-weight: inherit;
    font-size: smaller;
}

.wide-table.__normalized {
    font-size: inherit;
}

.wide-table th,
.wide-table td {
    line-height: 1.2;
    padding: 1em;
}

.wide-table th {
    text-align: center;
    background-color: #EEE;
    word-wrap: break-word;
}

.wide-table td {
    text-align: left;
    border-bottom: 1px solid #EEE;
}

.wide-table.__vertical-borders td {
    border-bottom: none;
    border-left: 1px solid #EEE;
}

.wide-table .border-left {
    border-left: 1px solid #EEE;
}

.wide-table .value {
    color: #3B9226;
    text-align: center;
}

.wide-table .mark-out {
    background-color: #fafafa;
}

.wide-table .emphasize {
    font-weight: bolder;
}

.wide-table .text-muted {
    color: #AAA;
}

.wide-table tr.separate td {
    border-top: 3px solid #F4F4F4;
}

.wide-table.__expand th,
.wide-table.__expand td {
    line-height: 1.6;
    padding: 1.2em;
}

.wide-table .recommend {}

@media (max-width: 991px) {

    .wide-table {
        font-size: inherit;
    }
}

@media (max-width: 767px) {

    .wide-table th,
    .wide-table td {
        line-height: 1.2;
        padding: 0.8em;
    }

    .wide-table .recommend {
        font-weight: bold;
    }

    .wide-table .recommend .label {
        display: none;
    }

}

@media (max-width: 479px) {

    .wide-table .emphasize {
        font-weight: normal;
    }
}

